commit:     a1956cb78426714fd8f0fcc55b5a60e5390724b0
Author:     Kacper KoƂodziej <kacper <AT> kolodziej <DOT> in>
AuthorDate: Sat Mar 11 11:34:59 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jun  3 21:26:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1956cb7

dev-libs/tvision: Bump to EAPI=6

Package-Manager: Portage-2.3.4, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4182

 .../files/tvision-2.1.0_pre2-build-system.patch    | 30 +++++++++++++++
 dev-libs/tvision/tvision-2.1.0_pre2-r4.ebuild      | 44 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-libs/tvision/files/tvision-2.1.0_pre2-build-system.patch 
b/dev-libs/tvision/files/tvision-2.1.0_pre2-build-system.patch
new file mode 100644
index 00000000000..8ba26208948
--- /dev/null
+++ b/dev-libs/tvision/files/tvision-2.1.0_pre2-build-system.patch
@@ -0,0 +1,30 @@
+index 8b78ba3..92aa570 100644
+--- a/config.pl
++++ b/config.pl
+@@ -1111,7 +1111,7 @@ sub GenerateMakefile
+     $rep.="\t\$(MAKE) prefix=\$(prefix) -C intl\n";
+    }
+  $text=~s/\@target_rules\@/$rep/g;
+- $rep="intl-dummy:\n\t\$(MAKE) -C intl/dummy\n";
++ $rep="intl-dummy:\n\t\$(MAKE) prefix=\$(prefix) -C intl/dummy\n";
+  $rep.="\tcp intl/dummy/libtvfintl.a $makeDir\n";
+  $rep.="\tranlib $makeDir/libtvfintl.a\n" if $conf{'UseRanLib'};
+  $text=~s/\@intl_dummy_rule\@/$rep/g;
+@@ -1196,7 +1196,7 @@ sub GenerateMakefile
+    }
+  if ($internac)
+    {
+-    $rep.="\ninstall-internac:\n\t\$(MAKE) -C intl install\n";
++    $rep.="\ninstall-internac:\n\t\$(MAKE) prefix=\$(prefix) -C intl 
install\n";
+    }
+  $text=~s/\@install_rules\@/$rep/g;
+ 
+@@ -1216,7 +1216,7 @@ sub GenerateMakefile
+  $rep.="\trm -f intl/dummy/*.lo\n";
+  $rep.="\trm -f intl/dummy/*.a\n";
+  $rep.="\t-\$(MAKE) -C examples clean\n";
+- $rep.="\t-\$(MAKE) -C intl clean\n";
++ $rep.="\t-\$(MAKE) prefix=\$(prefix) -C intl clean\n";
+  $rep.="\trm -f configure.cache\n";
+  $rep.="\trm -f rhtv-config\$(EXE_EXT)\n";
+  $text=~s/\@clean\@/$rep/g;

diff --git a/dev-libs/tvision/tvision-2.1.0_pre2-r4.ebuild 
b/dev-libs/tvision/tvision-2.1.0_pre2-r4.ebuild
new file mode 100644
index 00000000000..3e21aab2f9e
--- /dev/null
+++ b/dev-libs/tvision/tvision-2.1.0_pre2-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Text User Interface that implements the well known CUA widgets"
+HOMEPAGE="http://tvision.sourceforge.net/";
+SRC_URI="mirror://sourceforge/tvision/rhtvision_${PV/_pre/-}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DOCS=( readme.txt THANKS TODO )
+
+HTML_DOCS=( www-site/. )
+
+S=${WORKDIR}/${PN}
+
+PATCHES=(
+       "${FILESDIR}/${P}-gcc41.patch"
+       "${FILESDIR}/${P}-outb.patch"
+       "${FILESDIR}/${P}-underflow.patch"
+       "${FILESDIR}/${P}-asneeded.patch"
+       "${FILESDIR}/${P}-gcc44.patch"
+       "${FILESDIR}/${P}-ldconfig.patch"
+       "${FILESDIR}/${P}-flags.patch"
+       "${FILESDIR}/${P}-gcc6.patch" # bug #594176
+       "${FILESDIR}/${P}-build-system.patch" # for EAPI=6
+)
+
+src_configure() {
+       ./configure --fhs || die
+}
+
+src_install() {
+       emake DESTDIR="${D}" install \
+               prefix="\${DESTDIR}/usr" \
+               libdir="\$(prefix)/$(get_libdir)"
+
+       einstalldocs
+       dosym rhtvision /usr/include/tvision
+}

Reply via email to